Bug 1476438 - Review Request: clustersos - collect multiple sosreports simultaneously
Review Request: clustersos - collect multiple sosreports simultaneously
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-28 23:59 EDT by Jake Hunsaker
Modified: 2017-08-28 04:19 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-23 23:51:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rjones: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jake Hunsaker 2017-07-28 23:59:09 EDT
Spec URL: http://people.redhat.com/jhunsake/clustersos/clustersos.spec
SRPM URL: http://people.redhat.com/jhunsake/clustersos/clustersos-1.1.1-1.fc25.src.rpm
Description: clustersos is a utility designed to capture sosreports from multiple nodes at once and collect them into a single archive.
Fedora Account System Username: turboturtle


F25 koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=20875013
Comment 1 Robert-André Mauchin 2017-07-30 10:35:57 EDT
Hello,

A few points:
 - since you are the developer, a LICENSE file would be nice ofr it to be included in the package.
 - Fedora 25 introduced the macro pythonXdist, you can therefore require paramiko with: python2dist(paramiko) See https://fedoraproject.org/wiki/Packaging:Python#Requires_and_BuildRequires_with_standardized_names
 - You define a sitelib macro but it's not necessary as there is already a %{python2_sitelib} macro available.
 - The name of the bin is clustersosreport but the name used in the man page makes it seems the command is clustersos


Otherwise the rest is fine.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 9 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/clustersos/review-
     clustersos/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: clustersos-1.1.1-1.fc27.noarch.rpm
          clustersos-1.1.1-1.fc27.src.rpm
clustersos.noarch: W: spelling-error Summary(en_US) sosreports -> misreports, reexports, presorts
clustersos.noarch: W: spelling-error %description -l en_US sosreports -> misreports, reexports, presorts
clustersos.noarch: W: spelling-error %description -l en_US sosreport -> misreport, presort
clustersos.src: W: spelling-error Summary(en_US) sosreports -> misreports, reexports, presorts
clustersos.src: W: spelling-error %description -l en_US sosreports -> misreports, reexports, presorts
clustersos.src: W: spelling-error %description -l en_US sosreport -> misreport, presort
2 packages and 0 specfiles checked; 0 errors, 6 warnings.
Comment 2 Jake Hunsaker 2017-07-30 11:42:21 EDT
(In reply to Robert-André Mauchin from comment #1)
> Hello,
> 
> A few points:
>  - since you are the developer, a LICENSE file would be nice ofr it to be
> included in the package.

Done.

>  - Fedora 25 introduced the macro pythonXdist, you can therefore require
> paramiko with: python2dist(paramiko) See
> https://fedoraproject.org/wiki/Packaging:
> Python#Requires_and_BuildRequires_with_standardized_names

Cool, didn't know that. Updated.

>  - You define a sitelib macro but it's not necessary as there is already a
> %{python2_sitelib} macro available.

Updated.

>  - The name of the bin is clustersosreport but the name used in the man page
> makes it seems the command is clustersos

Looks like somehow the updated man page never got committed when I changed the binary from clustersos to clustersosreport. Thanks for pointing that out.

Updated.

Updated the download locations

Spec URL: http://people.redhat.com/jhunsake/clustersos/clustersos.spec
SRPM URL: http://people.redhat.com/jhunsake/clustersos/clustersos-1.1.1-1.fc25.src.rpm


Sanity check koji build still passes: https://koji.fedoraproject.org/koji/taskinfo?taskID=20904114
Comment 3 Robert-André Mauchin 2017-07-30 11:56:45 EDT
This looks fine to me. Now you need someone to officially approve it.
Comment 4 Jake Hunsaker 2017-07-31 18:02:58 EDT
I forgot to mention in c0, I will need a sponsor as this is my first package.
Comment 5 Richard W.M. Jones 2017-08-02 09:39:11 EDT
I have sponsored Jake into the packager group.
Comment 6 Jake Hunsaker 2017-08-03 12:22:39 EDT
I noticed a missing dep on python-six, so added that and updated the links.

Spec URL: http://people.redhat.com/jhunsake/clustersos/clustersos.spec
SRPM URL: http://people.redhat.com/jhunsake/clustersos/clustersos-1.1.1-1.fc25.src.rpm



koji build still passes: https://koji.fedoraproject.org/koji/taskinfo?taskID=21018576
Comment 7 Richard W.M. Jones 2017-08-04 06:40:00 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======

- Sources used to build the package match the upstream source, as provided
  in the spec URL.
  Note: Upstream MD5sum check error, diff is in
  /var/tmp/1476438-clustersos/diff.txt
  See: http://fedoraproject.org/wiki/Packaging/SourceURL

Can you check this?

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 10 files have
     unknown license. Detailed output of licensecheck in
     /var/tmp/1476438-clustersos/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.

I think so, as it's a binary it doesn't need to be called python-<something>

[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[-]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.
Comment 8 Jake Hunsaker 2017-08-04 21:29:32 EDT
Oops, looks like I overlooked updating that. Should be all good now.
Comment 9 Jake Hunsaker 2017-08-04 23:57:49 EDT
For reference, updated the download locations to be the actually correct ones

SRPM: http://people.redhat.com/jhunsake/clustersos/clustersos-1.1.1-1.fc25.src.rpm
SPEC: http://people.redhat.com/jhunsake/clustersos/clustersos.spec
Comment 10 Richard W.M. Jones 2017-08-05 02:46:07 EDT
Alright this seems to have fixed everything.

--------------------------------------
This package is APPROVED by rjones
--------------------------------------

To the reporter, please follow this one (I think?)
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner
Comment 11 Fedora Update System 2017-08-15 15:18:30 EDT
clustersos-1.1.1-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-38dd117277
Comment 12 Fedora Update System 2017-08-19 14:51:47 EDT
clustersos-1.1.1-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-38dd117277
Comment 13 Fedora Update System 2017-08-23 23:51:11 EDT
clustersos-1.1.1-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Iryna Shcherbina 2017-08-28 04:19:44 EDT
This software supports Python 3, however no Python 3 package is available for Fedora.

According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

Since users aren't expected to import this tool from Python code,
you can just switch to /usr/bin/python3. Alternatively, if you want or
need to keep a Python 2 version, the current best practice is to provide
subpackages -- this is called "Common SRPM" in the guidelines.

If you need more instructions, a guide for porting Python-based RPMs is
available at [2].
If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
[2] http://python-rpm-porting.readthedocs.io/

Note You need to log in before you can comment on or make changes to this bug.